Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.palette/1 1.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.palette
Class PaletteFactory

    java.lang.Object
      org.netbeans.spi.palette.PaletteFactory

    public final class PaletteFactory

extends Object

PaletteFactory creating new PaletteController instances.

Method Summary
`static PaletteController` | `createPalette(Node paletteRoot, PaletteActions customActions)` Create a new palette from the given root Node.
`static PaletteController` | `createPalette(Node paletteRoot, PaletteActions customActions, PaletteFilter filter, DragAndDropHandler dndHandler)` Create a new palette from the given root Node.
`static PaletteController` | `createPalette(String rootFolderName, PaletteActions customActions)` Create a new palette from the given folder.
`static PaletteController` | `createPalette(String rootFolderName, PaletteActions customActions, PaletteFilter filter, DragAndDropHandler dndHandler)` Create a new palette from the given folder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createPalette

    public static PaletteController createPalette(String rootFolderName,
                                                  PaletteActions customActions)
                                           throws IOException

  Create a new palette from the given folder.

  Parameters:
    `rootFolderName` - Name of palette's root folder, its sub-folders are categories. Cannot be null.
    `customActions` - Import actions for palette customizer.
  Throws:
    `IOException` - If the given folder cannot be found.

### createPalette

    public static PaletteController createPalette(String rootFolderName,
                                                  PaletteActions customActions,
                                                  PaletteFilter filter,
                                                  DragAndDropHandler dndHandler)
                                           throws IOException

  Create a new palette from the given folder.

  Parameters:
    `rootFolderName` - Name of palette's root folder, its sub-folders are categories. Cannot be null.
    `customActions` - Import actions for palette customizer.
    `filter` - A filter that can dynamically hide some categories and items.
    `dndHandler` - Handle drop of new items into palette window and add custom DataFlavors to the Transferable of items being dragged from the palette to editor window. Can be null.
  Throws:
    `IOException` - If the given folder cannot be found.

### createPalette

    public static PaletteController createPalette(Node paletteRoot,
                                                  PaletteActions customActions)

  Create a new palette from the given root Node.

  Parameters:
    `paletteRoot` - Palette's root `Node`, its children are categories, their children are palette items.
    `customActions` - Import actions for palette customizer.

### createPalette

    public static PaletteController createPalette(Node paletteRoot,
                                                  PaletteActions customActions,
                                                  PaletteFilter filter,
                                                  DragAndDropHandler dndHandler)

  Create a new palette from the given root Node.

  Parameters:
    `paletteRoot` - Palette's root `Node`, its children are categories, their children are palette items. Cannot be null.
    `customActions` - Import actions for palette customizer. Cannot be null.
    `filter` - A filter that can dynamically hide some categories and items. Can be null.
    `dndHandler` - Handle drop of new items into palette window and add custom DataFlavors to the Transferable of items being dragged from the palette to editor window. Can be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.spi.palette/1 1.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.